Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb
Class EntityEnterpriseContext

    java.lang.Object
      org.jboss.ejb.EnterpriseContext
          org.jboss.ejb.EntityEnterpriseContext

All Implemented Interfaces:
  AllowedOperationsFlags

public class EntityEnterpriseContext
extends EnterpriseContext

The EntityEnterpriseContext is used to associate EntityBean instances with metadata about it.

Version:
  $Revision: 1.43 $
Author:
  Rickard �berg, Marc Fleury, Daniel OConnor
See Also:
  `EnterpriseContext`

Nested Class Summary
`protected class` | `EntityEnterpriseContext.EntityContextImpl`
`class` | `EntityEnterpriseContext.TimerServiceWrapper` Delegates to the underlying TimerService, after checking access

Nested classes inherited from class org.jboss.ejb.EnterpriseContext
`EnterpriseContext.EJBContextImpl, EnterpriseContext.UserTransactionImpl`

Field Summary

Fields inherited from class org.jboss.ejb.EnterpriseContext
`log`

Fields inherited from interface org.jboss.ejb.AllowedOperationsFlags
`IN_AFTER_BEGIN, IN_AFTER_COMPLETION, IN_BEFORE_COMPLETION, IN_BUSINESS_METHOD, IN_EJB_ACTIVATE, IN_EJB_CREATE, IN_EJB_FIND, IN_EJB_HOME, IN_EJB_LOAD, IN_EJB_PASSIVATE, IN_EJB_POST_CREATE, IN_EJB_REMOVE, IN_EJB_STORE, IN_EJB_TIMEOUT, IN_INTERCEPTOR_METHOD, IN_SERVICE_ENDPOINT_METHOD, IN_SET_ENTITY_CONTEXT, IN_SET_MESSAGE_DRIVEN_CONTEXT, IN_SET_SESSION_CONTEXT, IN_UNSET_ENTITY_CONTEXT, NOT_ALLOWED`

Constructor Summary
`EntityEnterpriseContext(Object instance, Container con)`

Method Summary
`void` | `clear()` before reusing this context we clear it of previous state called by pool.free()
`void` | `discard()`
`Object` | `getCacheKey()`
`javax.ejb.EJBContext` | `getEJBContext()` Get the EJBContext object
`javax.ejb.EJBLocalObject` | `getEJBLocalObject()`
`javax.ejb.EJBObject` | `getEJBObject()`
`NonReentrantLock` | `getMethodLock()` A non-reentrant deadlock detectable lock that is used to protected against entity bean reentrancy.
`Object` | `getPersistenceContext()`
`GlobalTxEntityMap.TxAssociation` | `getTxAssociation()`
`boolean` | `hasTxSynchronization()`
`void` | `hasTxSynchronization(boolean value)`
`boolean` | `isReadOnly()`
`boolean` | `isValid()`
`void` | `setCacheKey(Object key)`
`void` | `setEJBLocalObject(javax.ejb.EJBLocalObject eo)`
`void` | `setEJBObject(javax.ejb.EJBObject eo)`
`void` | `setPersistenceContext(Object ctx)`
`void` | `setReadOnly(boolean readOnly)`
`void` | `setTxAssociation(GlobalTxEntityMap.TxAssociation txAssociation)`
`void` | `setValid(boolean valid)`
`String` | `toString()`

Methods inherited from class org.jboss.ejb.EnterpriseContext
`getCallerPrincipal, getContainer, getId, getInstance, getTransaction, getTxLock, isContainerManagedTx, isLocked, isUserManagedTx, lock, setId, setPrincipal, setTransaction, setUserTransactionStartedListener, unlock`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EntityEnterpriseContext

    public EntityEnterpriseContext(Object instance,
                                   Container con)
                            throws RemoteException

Method Detail

### getMethodLock

    public NonReentrantLock getMethodLock()

  A non-reentrant deadlock detectable lock that is used to protected against entity bean reentrancy.

  Returns:

### clear

    public void clear()

  Description copied from class: `EnterpriseContext`
  before reusing this context we clear it of previous state called by pool.free()

  Overrides:
    `clear` in class `EnterpriseContext`

### discard

    public void discard()
                 throws RemoteException

  Specified by:
    `discard` in class `EnterpriseContext`
  Throws:
    `RemoteException`

### getEJBContext

    public javax.ejb.EJBContext getEJBContext()

  Description copied from class: `EnterpriseContext`
  Get the EJBContext object

  Specified by:
    `getEJBContext` in class `EnterpriseContext`

### setEJBObject

    public void setEJBObject(javax.ejb.EJBObject eo)

### getEJBObject

    public javax.ejb.EJBObject getEJBObject()

### setEJBLocalObject

    public void setEJBLocalObject(javax.ejb.EJBLocalObject eo)

### getEJBLocalObject

    public javax.ejb.EJBLocalObject getEJBLocalObject()

### setCacheKey

    public void setCacheKey(Object key)

### getCacheKey

    public Object getCacheKey()

### setPersistenceContext

    public void setPersistenceContext(Object ctx)

### getPersistenceContext

    public Object getPersistenceContext()

### hasTxSynchronization

    public void hasTxSynchronization(boolean value)

### hasTxSynchronization

    public boolean hasTxSynchronization()

### getTxAssociation

    public GlobalTxEntityMap.TxAssociation getTxAssociation()

### setTxAssociation

    public void setTxAssociation(GlobalTxEntityMap.TxAssociation txAssociation)

### setValid

    public void setValid(boolean valid)

### isValid

    public boolean isValid()

### setReadOnly

    public void setReadOnly(boolean readOnly)

### isReadOnly

    public boolean isReadOnly()

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.